#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 11. General Utilities

- Prev

  dos2unix-7.5.5

- Next

  glslc from shaderc-2026.2

- Up
- Home

# editorconfig-core-c-0.12.11

## Introduction to editorconfig-core-c

The EditorConfig project maintains a file format and plugins for various text editors which allow this file format to be read and used by those editors.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/editorconfig/editorconfig-core-c/archive/v0.12.11/editorconfig-core-c-0.12.11.tar.gz

- Download MD5 sum: a0a6b43efe67635dad20e2d66a569a7b

- Download size: 76 KB

- Estimated disk space required: 1.4 MB

- Estimated build time: less than 0.1 SBU

## Installation of editorconfig-core-c

Install editorconfig-core-c by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D CMAKE_BUILD_TYPE=Release  \
          -D BUILD_DOCUMENTATION=OFF   \
          ..                           &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install &&
    rm -fv /usr/lib/libeditorconfig_static.a

## Contents

Installed Program: editorconfig
Installed Library: libeditorconfig.so
Installed Directories: /usr/include/editorconfig and /usr/lib/cmake/EditorConfig

- Prev

  dos2unix-7.5.5

- Next

  glslc from shaderc-2026.2

- Up
- Home